## Function `astromUVW( astrom6 )`

Description:
  Calculates Cartesian components of velocity from quantities available in the Gaia source catalogue. The output is in the same coordinate system as the inputs, that is ICRS for the correspondingly-named Gaia quantities.

  The input astrometry parameters are represented by a 6-element array, with the following elements:

       index  gaia_source name  unit    description
       -----  ----------------  ----    -----------
         0:   ra                deg     right ascension
         1:   dec               deg     declination
         2:   parallax          mas     parallax
         3:   pmra              mas/yr  proper motion in ra * cos(dec)
         4:   pmdec             mas/yr  proper motion in dec
         5:   radial_velocity   km/s    barycentric radial velocity

  The units used by this function are the units used in the `gaia_source` table.

  This convenience function just invokes the 7-argument `astromUVW` function using the inverted parallax for the radial distance, and without invoking the Doppler correction. It is exactly equivalent to:

          astromUVW(a[0], a[1], a[3], a[4], a[5], 1000./a[2], false)

  Note this naive inversion of parallax to estimate distance is not in general reliable for parallaxes with non-negligable errors.

Parameters:
  `astrom6` (array of floating point)
    vector of 6 astrometric parameters as provided by the Gaia source catalogue

Return Value (array of floating point):
  3-element vector giving equatorial velocity components in km/s

Examples:
  - `astromUVW(array(ra, dec, parallax, pmra, pmdec, radial_velocity))`
  - `icrsToGal(astromUVW(array(ra, dec, parallax, pmra, pmdec, radial_velocity)))`

Signature:
  `double[] astromUVW(double[])`